<!DOCTYPE html>
<html>
 <head>
  <meta charset="utf-8">
  <title>1</title>
 </head>
 <body>
    1)Подключение к Putty
Соединение c хостом kubsu-dev.ru по порту 80 в протокле сетевой печати RAW
  <p><img src="images/od.jpg" alt=""></p>
    2)Получение страницы методом GET в протоколе HTTP 1.0;
Получение информации методом GET. В версии 1.0 после обработки одного запроса соединение закрывается.
  <p><img src="images/dv.jpg" alt=""></p> 
    3)Получение внутренней страницы методом GET в протоколе HTTP 1.1
В версии 1.1 сервер по умолчанию не разрывает соединение, поэтому клиент может посылать другие запросы.Host может осуществлять обратное разрешение доменных имен, то есть, получать список доменных имен, связанных с заданным IP-адресом, используется главным образом для диагностики серверов доменных имен.
  <p><img src="images/tr.jpg" alt=""></p>
    4)Определение размера файла file.tar.gz
В Content-Length записано число, обозначающее точную длину байта тела HTTP. Оно равно 11335
  <p><img src="images/che.jpg" alt=""></p>
    5)Определение медиатипа ресурса /image.png
Информация содержится в заголовке ответа в графе "Content-Type"
   <p><img src="images/pya.jpg" alt=""></p>
    6)Отправление комментария на сервер по адресу /index.php
С помощью метода пост отправляем на сервер коммент в запросе клиента. Данные находятся в теле содержимого запроса клиента
   <p><img src="images/shest.jpg" alt=""></p>
    7)Получение первых 100 байт файла /file.tar.gz
Заголовок запроса Range указывает серверу какую часть документа ему необходимо вернуть.
Синтаксис Range: <единица>=<начало-диапазона>-<конец-диапазона>
   <p><img src="images/sem.jpg" alt=""></p>
    8)Определение кодировки ресурса /index.php
Получение информации было произведено методом GET и HEAD. Заголовок Accept-Charset запроса HTTP сообщает какую кодировку клиент может понять.сервер выбирает один из предложенных вариантов, использует его и информирует клиент о своём выборе в Content-Type ответном заголовке.
   <p><img src="images/vos1.jpg" alt=""></p>
   <p><img src="images/vos2.jpg" alt=""></p>
 </body>
</html>